Skip Menu |
 

This queue is for tickets about the Module-Install CPAN distribution.

Report information
The Basics
Id: 48853
Status: resolved
Priority: 0/
Queue: Module-Install

People
Owner: Nobody in particular
Requestors: LEEDO [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Normal
Broken in: (no value)
Fixed in: (no value)



Subject: Fails to detect POE components
Download (untitled) / with headers
text/plain 497b
If I try to require a POE Component (e.g. IRC or Server::HTTP) it gives me this error and then fails to detect the module. Can't locate object method "blocking" via package "FileHandle" at /usr/share/perl5/POE/Resource/FileHandles.pm line 500. BEGIN failed--compilation aborted at (eval 1346) line 1. Warning: prerequisite POE::Component::IRC 6.08 not found. This only happens if I already have the POE module installed, but doesn't seem to matter if I am using the stock Debian 5.10 per.
Download (untitled) / with headers
text/plain 190b
Sorry, that got cut off somehow, should read: This error only happens if I already have the POE module installed, but doesn't seem to matter if have the actual component installed or not.
Subject: Re: [rt.cpan.org #48853] Fails to detect POE components
Date: Thu, 20 Aug 2009 12:39:03 +1000
To: bug-Module-Install [...] rt.cpan.org
From: Adam Kennedy <adamkennedybackup [...] gmail.com>
Download (untitled) / with headers
text/plain 1015b
Upgrade to the latest ExtUtils::MakeMaker. Adam K 2009/8/20 Lee Aylward via RT <bug-Module-Install@rt.cpan.org>: Show quoted text
> Wed Aug 19 16:25:13 2009: Request 48853 was acted upon. > Transaction: Ticket created by LEEDO >       Queue: Module-Install >     Subject: Fails to detect POE components >   Broken in: (no value) >    Severity: Normal >       Owner: Nobody >  Requestors: LEEDO@cpan.org >      Status: new >  Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=48853 > > > > If I try to require a POE Component (e.g. IRC or Server::HTTP) it gives > me this error and then fails to detect the module. > >  Can't locate object method "blocking" via package "FileHandle" at > /usr/share/perl5/POE/Resource/FileHandles.pm line 500. > BEGIN failed--compilation aborted at (eval 1346) line 1. > >  Warning: prerequisite POE::Component::IRC 6.08 not found. > > This only happens if I already have the POE module installed, but > doesn't seem to matter if > > I am using the stock Debian 5.10 per. >
Download (untitled) / with headers
text/plain 1.1k
Looks like that fixed it. Thanks! On Wed Aug 19 22:39:23 2009, adam@ali.as wrote: Show quoted text
> Upgrade to the latest ExtUtils::MakeMaker. > > Adam K > > 2009/8/20 Lee Aylward via RT <bug-Module-Install@rt.cpan.org>:
> > Wed Aug 19 16:25:13 2009: Request 48853 was acted upon. > > Transaction: Ticket created by LEEDO > >       Queue: Module-Install > >     Subject: Fails to detect POE components > >   Broken in: (no value) > >    Severity: Normal > >       Owner: Nobody > >  Requestors: LEEDO@cpan.org > >      Status: new > >  Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=48853 > > > > > > > If I try to require a POE Component (e.g. IRC or Server::HTTP) it gives > > me this error and then fails to detect the module. > > > >  Can't locate object method "blocking" via package "FileHandle" at > > /usr/share/perl5/POE/Resource/FileHandles.pm line 500. > > BEGIN failed--compilation aborted at (eval 1346) line 1. > > > >  Warning: prerequisite POE::Component::IRC 6.08 not found. > > > > This only happens if I already have the POE module installed, but > > doesn't seem to matter if > > > > I am using the stock Debian 5.10 per. > >


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.